<template>
  <el-drawer
    :visible.sync="sidebarMenu"
    :before-close="toggleSidebarMenu"
    :withHeader="false"
    direction="ltr"
  >
    <div class="fixed-menu__close" @click="toggleSidebarMenu">
      <svg-icon name="close" />
    </div>
    <slot />
  </el-drawer>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import useSidebarMenu from '@/hooks/sidebar-menu'
import elDrawer from '@/components/element/Drawer.vue'
export default defineComponent({
  name: 'SidebarMenu',
  components: { elDrawer },
  setup() {
    const { toggleSidebarMenu, sidebarMenu } = useSidebarMenu()

    return {
      toggleSidebarMenu,
      sidebarMenu
    }
  }
})
</script>

<style lang="scss" scoped>
.fixed-menu {
  &__close {
    padding: 10px;
    top: 15px;
    right: 15px;
    position: absolute;
    cursor: pointer;
    svg {
      width: 15px;
      height: 15px;
      fill: #7683ad;
    }
  }
}
</style>
